linux: 3.13.0-66.108 -proposed tracker

Bug #1503713 reported by Luis Henriques on 2015-10-07
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Taihsiang Ho
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Brad Figg
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.13.0-66.108 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 07. October 2015 14:31 UTC
kernel-stable-Prepare-package-end:Wednesday, 07. October 2015 22:04 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 07. October 2015 22:04 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 08. October 2015 12:49 UTC
kernel-stable-Verification-testing-start:Thursday, 08. October 2015 14:03 UTC
kernel-stable-Certification-testing-start:Thursday, 08. October 2015 14:04 UTC
kernel-stable-Security-signoff-start:Thursday, 08. October 2015 14:04 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Thursday, 08. October 2015 14:04 UTC
kernel-stable-Security-signoff-end:Thursday, 08. October 2015 19:01 UTC
kernel-stable-Regression-testing-end:Tuesday, 13. October 2015 16:01 UTC
kernel-stable-Verification-testing-end:Wednesday, 14. October 2015 14:01 UTC
kernel-stable-Certification-testing-end:Friday, 16. October 2015 16:55 UTC
kernel-stable-Promote-to-updates-start:Friday, 16. October 2015 17:10 UTC
kernel-stable-Promote-to-updates-end:Monday, 19. October 2015 17:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 19. October 2015 19:03 UTC

CVE References

Luis Henriques (henrix) on 2015-10-07
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-trusty
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Trusty):
status: New → Confirmed
Changed in linux (Ubuntu):
status: New → Confirmed

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-keystone - bug 1503899

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-trusty (precise1) - bug 1503900

description: updated
Adam Conrad (adconrad) on 2015-10-08
Changed in linux (Ubuntu):
status: Confirmed → Invalid
Brad Figg (brad-figg) on 2015-10-08
description: updated
Brad Figg (brad-figg) on 2015-10-08
description: updated
Brad Figg (brad-figg) on 2015-10-08
description: updated

Here's the relevant information:

 trusty linux 3.13.0-66.108 REGR summary<REGR: 1 FAIL: 7 GOOD: 31>

Please verify test results in http://people.canonical.com/~kernel/status/adt-matrix/overall.txt

Brad Figg (brad-figg) on 2015-10-13
tags: added: qa-testing-passed
description: updated
Taihsiang Ho (taihsiangho) wrote :

Hardware Certification have begun testing this -proposed kernel.

Brad Figg (brad-figg) on 2015-10-14
description: updated
Taihsiang Ho (taihsiangho) wrote :

Hardware Certification have completed testing this -proposed kernel. No regressions were observed, results are available here: http://people.canonical.com/~hwcert/sru-testing/trusty/3.13.0-66.108/trusty-proposed.html

tags: added: certification-testing-passed

automated-testing is not set to one of the following (correct) states:
Invalid, Fix Released,
automated-testing task was set to state Incomplete
Further processing of this bug by Workflow Manager is halted.

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated
Brad Figg (brad-figg) on 2015-10-16
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
Brad Figg (brad-figg) on 2015-10-16
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (5.6 KiB)

This bug was fixed in the package linux - 3.13.0-66.108

---------------
linux (3.13.0-66.108) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1503713

  [ Andy Whitcroft ]

  * Revert "SAUCE: aufs3: mmap: Fix races in madvise_remove() and
    sys_msync()"
    - LP: #1503655

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - LP: #1503655
    - CVE-2015-7312

linux (3.13.0-66.107) trusty; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1503021

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - CVE-2015-7312

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: fix mount not handling disconnected paths
    - LP: #1496430

  [ Upstream Kernel Changes ]

  * mmc: sdhci-pci: set the clear transfer mode register quirk for O2Micro
    - LP: #1472843
  * mmc: sdhci: Add a quirk for AMD SDHC transfer mode register need to be
    cleared for cmd without data
    - LP: #1472843
  * n_tty: Fix poll() when TIME_CHAR and MIN_CHAR == 0
    - LP: #1397976
  * net: make skb_gso_segment error handling more robust
    - LP: #1497048
  * net: gso: use feature flag argument in all protocol gso handlers
    - LP: #1497048
  * md/raid10: always set reshape_safe when initializing reshape_position.
    - LP: #1500810
  * md: flush ->event_work before stopping array.
    - LP: #1500810
  * ipv6: addrconf: validate new MTU before applying it
    - LP: #1500810
  * virtio-net: drop NETIF_F_FRAGLIST
    - LP: #1500810
  * RDS: verify the underlying transport exists before creating a
    connection
    - LP: #1500810
  * xen/gntdev: convert priv->lock to a mutex
    - LP: #1500810
  * xen/gntdevt: Fix race condition in gntdev_release()
    - LP: #1500810
  * PCI: Restore PCI_MSIX_FLAGS_BIRMASK definition
    - LP: #1500810
  * nfsd: Drop BUG_ON and ignore SECLABEL on absent filesystem
    - LP: #1500810
  * crypto: ixp4xx - Remove bogus BUG_ON on scattered dst buffer
    - LP: #1500810
  * xen-blkfront: don't add indirect pages to list when !feature_persistent
    - LP: #1500810
  * xen-blkback: replace work_pending with work_busy in
    purge_persistent_gnt()
    - LP: #1500810
  * USB: sierra: add 1199:68AB device ID
    - LP: #1500810
  * regmap: regcache-rbtree: Clean new present bits on present bitmap
    resize
    - LP: #1500810
  * target/iscsi: Fix double free of a TUR followed by a solicited NOPOUT
    - LP: #1500810
  * rbd: fix copyup completion race
    - LP: #1500810
  * md/raid1: extend spinlock to protect raid1_end_read_request against
    inconsistencies
    - LP: #1500810
  * target: REPORT LUNS should return LUN 0 even for dynamic ACLs
    - LP: #1500810
  * MIPS: Fix sched_getaffinity with MT FPAFF enabled
    - LP: #1500810
  * xhci: fix off by one error in TRB DMA address boundary check
    - LP: #1500810
  * perf: Fix fasync handling on inherited events
    - LP: #1500810
  * mm, vmscan: Do not wait for page writeback for GFP_NOFS allocations
    - LP: #1500810
  * MIPS: Make set_pte() SMP safe.
    - LP: #1500810
  * ipc: modify message queue accounting to not take kernel data structures
    into account
    - ...

Read more...

Changed in linux (Ubuntu Trusty):
status: Confirmed → Fix Released
Chris J Arges (arges) wrote :

Promoted to proposed:
 linux | 3.13.0-66.108 | trusty-updates | source
 linux-meta | 3.13.0.66.72 | trusty-updates | source
 linux-signed | 3.13.0-66.108 | trusty-updates | source

Brad Figg (brad-figg) on 2015-10-19
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers